closest.transitive.greedy {nem} | R Documentation

## Find transitively closed graph most similar to the given one

### Description

First, from the original graph Phi spurious edges are pruned via `prune.graph`. Then the new graph Phi' is transitively closed. Afterwards, the algorithms successively introduces new edges minimizing the distance to the original graph (defined as sum_{ij} |Phi_{ij} - Phi'_{ij}|) most. After each edge addition the graph is transitively closed again.

### Usage

    closest.transitive.greedy(Phi, verbose=TRUE)

### Arguments

`Phi` | adjacency matrix
`verbose` | do you want to see progress statements printed or not? Default: TRUE

### Value

adjacency matrix

### Author(s)

Holger Froehlich

### See Also

`prune.graph, \code{transitive.closure}, \code{transitive.reduction}`

[Package nem version 2.8.0 Index]